Cyberduck Mountain Duck CLI

Opened 10 years ago

Closed 10 years ago

#2435 closed defect (fixed)

Symbolic links not parsed properly using STAT listing

Reported by: info@… Owned by: dkocher
Priority: highest Milestone: 3.0.3
Component: ftp Version: 3.0.2
Severity: blocker Keywords: no connection to shortcuts
Cc: Architecture:
Platform:

Description

Hi,

Since the last update it's impossible to connect to certain folders. This are shortcuts in the shared hosting account. When using Filezilla this gives no problems, only with cyberduck.

I've attached also a screenshot of this folders.

Kind regards,

Dany

Attachments (1)

ex1.png (75.3 KB) - added by info@… 10 years ago.

Download all attachments as: .zip

Change History (12)

Changed 10 years ago by info@…

comment:1 follow-up: Changed 10 years ago by dkocher

Is this using r4166?

comment:2 in reply to: ↑ 1 Changed 10 years ago by info@…

Replying to dkocher:

Is this using r4166?

Yes it is

comment:3 Changed 10 years ago by dkocher

Can you post the transript from View > Log Drawer.

comment:4 Changed 10 years ago by info@…

Don't understand what you mean with this?

View - log drawer

comment:5 Changed 10 years ago by dkocher

From the menu View there is a item to toggle the Log Drawer. Please paste the transcript from the directory listing in there as a comment.

comment:6 Changed 10 years ago by info@…

Here it is:

220 FTP server (Version wu-2.6.2(1) Wed Aug 13 19:30:36 2008) ready. USER quickcarebe%quickcare.be 331 Password required for quickcarebe. PASS 230 User quickcarebe logged in. NOOP 200 NOOP command successful. SYST 215 UNIX Type: L8 STAT / 213-status of /: total 32 -rw------- 1 quickcar vuser 53 Jul 20 2006 .bash_history dr-xr-xr-x 2 root root 4096 Jul 24 2007 bin drwxr-xr-x 3 root root 4096 Nov 23 2004 dev drwxrwxr-t 13 root vuser 4096 Aug 13 15:45 etc drwxrwxr-t 7 root vuser 4096 Nov 23 2004 ftp lrwxrwxrwx 1 root root 8 Nov 23 2004 home -> usr/home drwxrwxr-t 2 root vuser 4096 Nov 23 2004 include lrwxrwxrwx 1 root root 11 Nov 23 2004 lib -> ftp/usr/lib dr-xr-xr-x 1197 root root 0 Mar 31 21:43 proc lrwxrwxrwx 1 root root 7 Nov 23 2004 tmp -> var/tmp drwxrwxr-t 9 root vuser 4096 Nov 23 2004 usr drwxrwxr-t 12 root vuser 4096 Nov 23 2004 var lrwxrwxrwx 1 root root 16 Nov 23 2004 www -> usr/local/apache 213 End of Status CWD /home 250 CWD command successful. CWD /lib 250 CWD command successful. CWD /tmp 250 CWD command successful. CWD /www 250 CWD command successful. CWD / 250 CWD command successful. NOOP 200 NOOP command successful. STAT /usr/local/apache 213-status of /usr/local/apache: total 8 -rw------- 1 quickcar vuser 26 Nov 23 2004 .htpasswd drwxr-xr-x 2 root root 4096 Nov 26 2003 bin lrwxrwxrwx 1 root root 25 Nov 23 2004 cgi-bin -> ../../../var/www/cgi-bin/ lrwxrwxrwx 1 root root 23 Nov 23 2004 conf -> ../../../etc/httpd/conf lrwxrwxrwx 1 root root 21 Nov 23 2004 htdocs -> ../../../var/www/html lrwxrwxrwx 1 root root 22 Nov 23 2004 icons -> ../../../var/www/icons lrwxrwxrwx 1 root root 20 Nov 23 2004 include -> ../../include/apache lrwxrwxrwx 1 root root 16 Nov 23 2004 libexec -> ../../lib/apache lrwxrwxrwx 1 root root 22 Nov 23 2004 logs -> ../../../var/log/httpd lrwxrwxrwx 1 root root 16 Nov 23 2004 modules -> ../../lib/apache 213 End of Status CWD /www/cgi-bin 250 CWD command successful. CWD /www/conf 250 CWD command successful. CWD /www/htdocs 250 CWD command successful. CWD /www/icons 250-Please read the file README 250- it was last modified on Sun Mar 23 14:04:44 2003 - 1969 days ago 250 CWD command successful. CWD /www/include 250 CWD command successful. CWD /www/libexec 250 CWD command successful. CWD /www/logs 250 CWD command successful. CWD /www/modules 250 CWD command successful. CWD /www 250 CWD command successful. NOOP 200 NOOP command successful. STAT / 213-status of /: total 32 -rw------- 1 quickcar vuser 53 Jul 20 2006 .bash_history dr-xr-xr-x 2 root root 4096 Jul 24 2007 bin drwxr-xr-x 3 root root 4096 Nov 23 2004 dev drwxrwxr-t 13 root vuser 4096 Aug 13 15:45 etc drwxrwxr-t 7 root vuser 4096 Nov 23 2004 ftp lrwxrwxrwx 1 root root 8 Nov 23 2004 home -> usr/home drwxrwxr-t 2 root vuser 4096 Nov 23 2004 include lrwxrwxrwx 1 root root 11 Nov 23 2004 lib -> ftp/usr/lib dr-xr-xr-x 1205 root root 0 Mar 31 21:43 proc lrwxrwxrwx 1 root root 7 Nov 23 2004 tmp -> var/tmp drwxrwxr-t 9 root vuser 4096 Nov 23 2004 usr drwxrwxr-t 12 root vuser 4096 Nov 23 2004 var lrwxrwxrwx 1 root root 16 Nov 23 2004 www -> usr/local/apache 213 End of Status CWD /www/htdocs/home 550 /www/htdocs/home: No such file or directory. CWD /www/htdocs/lib 550 /www/htdocs/lib: No such file or directory. CWD /www/htdocs/tmp 550 /www/htdocs/tmp: No such file or directory. CWD /www/htdocs/www 550 /www/htdocs/www: No such file or directory.

comment:7 Changed 10 years ago by dkocher

220 FTP server (Version wu-2.6.2(1) Wed Aug 13 19:30:36 2008) ready.
USER quickcarebe%quickcare.be
331 Password required for quickcarebe.
PASS ********
230 User quickcarebe logged in.
NOOP
200 NOOP command successful.
SYST
215 UNIX Type: L8
STAT /
213-status of /:
total 32
-rw-------    1 quickcar vuser          53 Jul 20  2006 .bash_history
dr-xr-xr-x    2 root     root         4096 Jul 24  2007 bin
drwxr-xr-x    3 root     root         4096 Nov 23  2004 dev
drwxrwxr-t   13 root     vuser        4096 Aug 13 15:45 etc
drwxrwxr-t    7 root     vuser        4096 Nov 23  2004 ftp
lrwxrwxrwx    1 root     root            8 Nov 23  2004 home -> usr/home
drwxrwxr-t    2 root     vuser        4096 Nov 23  2004 include
lrwxrwxrwx    1 root     root           11 Nov 23  2004 lib -> ftp/usr/lib
dr-xr-xr-x  1197 root     root            0 Mar 31 21:43 proc
lrwxrwxrwx    1 root     root            7 Nov 23  2004 tmp -> var/tmp
drwxrwxr-t    9 root     vuser        4096 Nov 23  2004 usr
drwxrwxr-t   12 root     vuser        4096 Nov 23  2004 var
lrwxrwxrwx    1 root     root           16 Nov 23  2004 www ->
usr/local/apache
213 End of Status
CWD /home
250 CWD command successful.
CWD /lib
250 CWD command successful.
CWD /tmp
250 CWD command successful.
CWD /www
250 CWD command successful.
CWD /
250 CWD command successful.
NOOP
200 NOOP command successful.
STAT /usr/local/apache
213-status of /usr/local/apache:
total 8
-rw-------    1 quickcar vuser          26 Nov 23  2004 .htpasswd
drwxr-xr-x    2 root     root         4096 Nov 26  2003 bin
lrwxrwxrwx    1 root     root           25 Nov 23  2004 cgi-bin ->
../../../var/www/cgi-bin/
lrwxrwxrwx    1 root     root           23 Nov 23  2004 conf ->
../../../etc/httpd/conf
lrwxrwxrwx    1 root     root           21 Nov 23  2004 htdocs ->
../../../var/www/html
lrwxrwxrwx    1 root     root           22 Nov 23  2004 icons ->
../../../var/www/icons
lrwxrwxrwx    1 root     root           20 Nov 23  2004 include ->
../../include/apache
lrwxrwxrwx    1 root     root           16 Nov 23  2004 libexec ->
../../lib/apache
lrwxrwxrwx    1 root     root           22 Nov 23  2004 logs ->
../../../var/log/httpd
lrwxrwxrwx    1 root     root           16 Nov 23  2004 modules ->
../../lib/apache
213 End of Status
CWD /www/cgi-bin
250 CWD command successful.
CWD /www/conf
250 CWD command successful.
CWD /www/htdocs
250 CWD command successful.
CWD /www/icons
250-Please read the file README
250-  it was last modified on Sun Mar 23 14:04:44 2003 - 1969 days ago
250 CWD command successful.
CWD /www/include
250 CWD command successful.
CWD /www/libexec
250 CWD command successful.
CWD /www/logs
250 CWD command successful.
CWD /www/modules
250 CWD command successful.
CWD /www
250 CWD command successful.
NOOP
200 NOOP command successful.
STAT /
213-status of /:
total 32
-rw-------    1 quickcar vuser          53 Jul 20  2006 .bash_history
dr-xr-xr-x    2 root     root         4096 Jul 24  2007 bin
drwxr-xr-x    3 root     root         4096 Nov 23  2004 dev
drwxrwxr-t   13 root     vuser        4096 Aug 13 15:45 etc
drwxrwxr-t    7 root     vuser        4096 Nov 23  2004 ftp
lrwxrwxrwx    1 root     root            8 Nov 23  2004 home -> usr/home
drwxrwxr-t    2 root     vuser        4096 Nov 23  2004 include
lrwxrwxrwx    1 root     root           11 Nov 23  2004 lib -> ftp/usr/lib
dr-xr-xr-x  1205 root     root            0 Mar 31 21:43 proc
lrwxrwxrwx    1 root     root            7 Nov 23  2004 tmp -> var/tmp
drwxrwxr-t    9 root     vuser        4096 Nov 23  2004 usr
drwxrwxr-t   12 root     vuser        4096 Nov 23  2004 var
lrwxrwxrwx    1 root     root           16 Nov 23  2004 www ->
usr/local/apache
213 End of Status
CWD /www/htdocs/home
550 /www/htdocs/home: No such file or directory.
CWD /www/htdocs/lib
550 /www/htdocs/lib: No such file or directory.
CWD /www/htdocs/tmp
550 /www/htdocs/tmp: No such file or directory.
CWD /www/htdocs/www
550 /www/htdocs/www: No such file or directory.

comment:8 Changed 10 years ago by dkocher

  • Milestone changed from 3.1 to 3.0.3
  • Owner changed from 0039angelo to dkocher
  • Status changed from new to assigned
  • Summary changed from Can't connect to certain folders on ftp to Symbolic links not parsed properly using STAT listing

comment:9 Changed 10 years ago by dkocher

#2434 closed as duplicate.

comment:10 Changed 10 years ago by dkocher

#2461 closed as duplicate.

comment:11 Changed 10 years ago by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r4188.

Note: See TracTickets for help on using tickets.
swiss made software